## xrootd 5.6.1

=== CMakeLists.txt ===
#-------------------------------------------------------------------------------
# Project description
#-------------------------------------------------------------------------------
cmake_minimum_required(VERSION 3.16...3.25)

project( XRootD )

set( CMAKE_MODULE_PATH
 ${PROJECT_SOURCE_DIR}/src
 ${PROJECT_SOURCE_DIR}/cmake )

include(XRootDVersion)

#-------------------------------------------------------------------------------
# A 'plugins' phony target to simplify building build-tree binaries.
# Plugins are responsible for adding themselves to this target, where
# appropriate.
#-------------------------------------------------------------------------------
ADD_CUSTOM_TARGET(plugins)


include( XRootDUtils )
CheckBuildDirectory()

include( XRootDOSDefs )
include( XRootDDefaults )
include( XRootDSystemCheck )
include( XRootDFindLibs )

add_definitions( -DXRDPLUGIN_SOVERSION="${PLUGIN_VERSION}" )

#-------------------------------------------------------------------------------
# Generate the version header
#-------------------------------------------------------------------------------

configure_file(src/XrdVersion.hh.in src/XrdVersion.hh)

#-------------------------------------------------------------------------------
# Build in subdirectories
#-------------------------------------------------------------------------------

include_directories(BEFORE ${CMAKE_SOURCE_DIR}/src ${CMAKE_BINARY_DIR}/src)

add_subdirectory( src )
add_subdirectory( bindings )

if( BUILD_TESTS )
  ENABLE_TESTING()
  add_subdirectory( tests )
endif()

include( XRootDSummary )


#-------------------------------------------------------------------------------
# Install XRootDConfig.cmake module
#-------------------------------------------------------------------------------

configure_file( "cmake/XRootDConfig.cmake.in" "cmake/XRootDConfig.cmake" @ONLY )

install(
  FILES ${CMAKE_BINARY_DIR}/cmake/XRootDConfig.cmake
  DESTINATION ${CMAKE_INSTALL_DATADIR}/xrootd/cmake )

#-------------------------------------------------------------------------------
# Configure an 'uninstall' target
#-------------------------------------------------------------------------------
CONFIGURE_FILE(
	"${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
	"${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
	IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== src/CMakeLists.txt ===
#-------------------------------------------------------------------------------
# If this is a build for pip set up the rpath
# (this is especially important for plugins)
#-------------------------------------------------------------------------------
if( PYPI_BUILD )
  set( CMAKE_INSTALL_RPATH "$ORIGIN" )
  set( CMAKE_INSTALL_RPATH_USE_LINK_PATH true )
endif()

#-------------------------------------------------------------------------------
# XRDCL_LIB_ONLY implies XRDCL_ONLY
#-------------------------------------------------------------------------------
if( XRDCL_LIB_ONLY )
  set ( XRDCL_ONLY TRUE )
endif()

#-------------------------------------------------------------------------------
# Include the subcomponents
#-------------------------------------------------------------------------------
include( XrdUtils )
include( XrdApps )
include( XrdCrypto )
include( XrdPosix )
include( XrdSec )
include( XrdXml )
include( XrdHeaders )
include( XrdSecgsi )
include( XrdSecztn )

if( BUILD_KRB5 )
  include( XrdSeckrb5 )
endif()

if( BUILD_XRDEC )
  include( XrdIsal )
endif()

if( ENABLE_XRDCL )
  add_subdirectory( XrdCl )
endif()

if( BUILD_XRDCLHTTP )
  add_subdirectory( XrdClHttp )
endif()

if( BUILD_XRDEC )
  add_subdirectory( XrdEc )
endif()

if( NOT XRDCL_ONLY )
  include( XrdServer )
  include( XrdDaemons )
  include( XrdFrm )
  include( XrdFfs )
  include( XrdPlugins )
  include( XrdSsi )
  include( XrdPfc )

  if( CMAKE_COMPILER_IS_GNUCXX )
    include( XrdOssCsi )
  endif()

  if( BUILD_HTTP )
    include( XrdHttp )
    include( XrdTpc )
  endif()

  if( BUILD_MACAROONS )
    include( XrdMacaroons )
  endif()

  if( BUILD_VOMS )
    include( XrdVoms )
  endif()

  if( XRDCEPH_SUBMODULE )
    add_subdirectory( XrdCeph )
  endif()

  if( BUILD_SCITOKENS )
    include( XrdSciTokens )
  endif()

endif()

#-------------------------------------------------------------------------------
# Install the utility scripts
#-------------------------------------------------------------------------------
if( NOT XRDCL_ONLY )
install(
  FILES
  ${CMAKE_SOURCE_DIR}/utils/XrdCmsNotify.pm
  ${CMAKE_SOURCE_DIR}/utils/netchk
  ${CMAKE_SOURCE_DIR}/utils/XrdOlbMonPerf
  ${CMAKE_SOURCE_DIR}/utils/cms_monPerf
  DESTINATION ${CMAKE_INSTALL_DATADIR}/xrootd/utils
  PERMISSIONS
  OWNER_EXECUTE OWNER_WRITE OWNER_READ
  GROUP_EXECUTE GROUP_READ
  WORLD_EXECUTE WORLD_READ )
endif()

if( NOT XRDCL_LIB_ONLY )
#-------------------------------------------------------------------------------
# Install xrootd-config
#-------------------------------------------------------------------------------
install(
  CODE "
    EXECUTE_PROCESS(
      COMMAND cat ${CMAKE_SOURCE_DIR}/utils/xrootd-config
      COMMAND sed -e \"s/__VERSION__/${XRootD_VERSION}/\"
      COMMAND sed -e \"s|__INCLUDEDIR__|${CMAKE_INSTALL_INCLUDEDIR}|\"
      COMMAND sed -e \"s/__PLUGIN_VERSION__/${PLUGIN_VERSION}/\"
      COMMAND sed -e \"s|__PREFIX__|${CMAKE_INSTALL_PREFIX}|\"
      OUTPUT_FILE \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR}/xrootd-config )
    EXECUTE_PROCESS(
      COMMAND chmod 755 \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR}/xrootd-config )"
)

#-------------------------------------------------------------------------------
# Post process man pages
#-------------------------------------------------------------------------------
install(
  CODE "
    FILE(GLOB MANPAGES
      \"\$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_MANDIR}/man[1,8]/*.[1,8]\" )
    FOREACH(MANPAGE \${MANPAGES})
      MESSAGE( \"-- Processing: \" \${MANPAGE} )
      EXECUTE_PROCESS(
        COMMAND cat \${MANPAGE}
        COMMAND sed  -e \"s/__VERSION__/${XRootD_VERSION}/\"
        OUTPUT_FILE \${MANPAGE}.new )
      EXECUTE_PROCESS(
        COMMAND mv -f \${MANPAGE}.new \${MANPAGE} )
    ENDFOREACH()"
)
endif()

=== tests/CMakeLists.txt ===
include(GoogleTest)
add_subdirectory( XrdCl )
add_subdirectory(XrdHttpTests)

add_subdirectory( common )
add_subdirectory( XrdClTests )
add_subdirectory( XrdSsiTests )

if( BUILD_XRDEC )
  add_subdirectory( XrdEcTests )
endif()

if( BUILD_CEPH )
  add_subdirectory( XrdCephTests )
endif()

add_subdirectory(XRootD)

=== bindings/python/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16...3.25)

project(PyXRootD LANGUAGES CXX)

find_package(Python REQUIRED COMPONENTS Interpreter Development)

if(CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR OR PYPI_BUILD)
  add_subdirectory(src)
else()
  configure_file(setup.py setup.py)
  file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/VERSION "${XRootD_VERSION_STRING}")

  option(INSTALL_PYTHON_BINDINGS "Install Python bindings" TRUE)

  if(INSTALL_PYTHON_BINDINGS)
    set(PIP_OPTIONS "--use-pep517" CACHE STRING "Install options for pip")

    install(CODE "
      execute_process(COMMAND ${Python_EXECUTABLE} -m pip install ${PIP_OPTIONS}
        --prefix \$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX} ${CMAKE_CURRENT_BINARY_DIR}
        RESULT_VARIABLE INSTALL_STATUS)
      if(NOT INSTALL_STATUS EQUAL 0)
        message(FATAL_ERROR \"Failed to install Python bindings\")
      endif()
    ")
  endif()
endif()

=== src/XrdCl/CMakeLists.txt ===


#-------------------------------------------------------------------------------
# Shared library version
#-------------------------------------------------------------------------------
set( XRD_CL_VERSION   3.0.0 )
set( XRD_CL_SOVERSION 3 )

#-------------------------------------------------------------------------------
# The XrdCl Pipelining API
# (we build this API only if the compiler has a good support for c++11)
#-------------------------------------------------------------------------------
if( XrdClPipelines )
  set( XrdClPipelineSources
       XrdClOperations.cc            XrdClOperations.hh
       XrdClOperationHandlers.hh
       XrdClArg.hh
       XrdClFwd.hh
       XrdClParallelOperation.hh
       XrdClFileOperations.hh
       XrdClFileSystemOperations.hh
       XrdClZipOperations.hh
  )
endif()

#-------------------------------------------------------------------------------
# XrdEc sources
#-------------------------------------------------------------------------------
if( BUILD_XRDEC )
  set( XrdEcSources
       ${CMAKE_SOURCE_DIR}/src/XrdEc/XrdEcRedundancyProvider.cc
       ${CMAKE_SOURCE_DIR}/src/XrdEc/XrdEcUtilities.cc
       ${CMAKE_SOURCE_DIR}/src/XrdEc/XrdEcStrmWriter.cc
       ${CMAKE_SOURCE_DIR}/src/XrdEc/XrdEcReader.cc
       XrdClEcHandler.cc
  )
  add_compile_definitions( WITH_XRDEC )
endif()

#-------------------------------------------------------------------------------
# The XrdCl lib
#-------------------------------------------------------------------------------
add_library(
  XrdCl
  SHARED
  XrdClLog.cc                    XrdClLog.hh
  XrdClUtils.cc                  XrdClUtils.hh
                                 XrdClOptimizers.hh
                                 XrdClConstants.hh
  XrdClEnv.cc                    XrdClEnv.hh
  XrdClDefaultEnv.cc             XrdClDefaultEnv.hh
  XrdClURL.cc                    XrdClURL.hh
  XrdClStatus.cc                 XrdClStatus.hh
  XrdClSocket.cc                 XrdClSocket.hh
  XrdClTls.cc                    XrdClTls.hh
                                 XrdClPoller.hh
  XrdClPollerFactory.cc          XrdClPollerFactory.hh
  XrdClPollerBuiltIn.cc          XrdClPollerBuiltIn.hh
  XrdClPostMaster.cc             XrdClPostMaster.hh
                                 XrdClPostMasterInterfaces.hh
  XrdClChannel.cc                XrdClChannel.hh
  XrdClStream.cc                 XrdClStream.hh
  XrdClXRootDTransport.cc        XrdClXRootDTransport.hh
  XrdClInQueue.cc                XrdClInQueue.hh
  XrdClOutQueue.cc               XrdClOutQueue.hh
  XrdClTaskManager.cc            XrdClTaskManager.hh
  XrdClSIDManager.cc             XrdClSIDManager.hh
  XrdClFileSystem.cc             XrdClFileSystem.hh
  XrdClXRootDMsgHandler.cc       XrdClXRootDMsgHandler.hh
                                 XrdClBuffer.hh
                                 XrdClMessage.hh
  XrdClMessageUtils.cc           XrdClMessageUtils.hh
  XrdClXRootDResponses.cc        XrdClXRootDResponses.hh
                                 XrdClRequestSync.hh
  XrdClFile.cc                   XrdClFile.hh
  XrdClFileStateHandler.cc       XrdClFileStateHandler.hh
  XrdClCopyProcess.cc            XrdClCopyProcess.hh
  XrdClClassicCopyJob.cc         XrdClClassicCopyJob.hh
  XrdClThirdPartyCopyJob.cc      XrdClThirdPartyCopyJob.hh
  XrdClAsyncSocketHandler.cc     XrdClAsyncSocketHandler.hh
  XrdClChannelHandlerList.cc     XrdClChannelHandlerList.hh
  XrdClForkHandler.cc            XrdClForkHandler.hh
  XrdClCheckSumManager.cc        XrdClCheckSumManager.hh
  XrdClTransportManager.cc       XrdClTransportManager.hh
                                 XrdClSyncQueue.hh
  XrdClJobManager.cc             XrdClJobManager.hh
                                 XrdClResponseJob.hh
  XrdClFileTimer.cc              XrdClFileTimer.hh
                                 XrdClPlugInInterface.hh
  XrdClPlugInManager.cc          XrdClPlugInManager.hh
                                 XrdClPropertyList.hh
                                 XrdClCopyJob.hh
  XrdClFileSystemUtils.cc        XrdClFileSystemUtils.hh
  XrdClTPFallBackCopyJob.cc      XrdClTPFallBackCopyJob.hh
  XrdClMetalinkRedirector.cc     XrdClMetalinkRedirector.hh
  XrdClRedirectorRegistry.cc     XrdClRedirectorRegistry.hh
  XrdClXCpCtx.cc                 XrdClXCpCtx.hh
  XrdClXCpSrc.cc                 XrdClXCpSrc.hh
  XrdClLocalFileHandler.cc       XrdClLocalFileHandler.hh
  XrdClLocalFileTask.cc          XrdClLocalFileTask.hh
  XrdClZipListHandler.cc         XrdClZipListHandler.hh
  XrdClZipArchive.cc             XrdClZipArchive.hh
  
  ${XrdClPipelineSources}

  ${XrdEcSources}
)

target_link_libraries(
  XrdCl
  PRIVATE
  XrdXml
  XrdUtils
  uuid::uuid
  ZLIB::ZLIB
  OpenSSL::SSL
  ${CMAKE_THREAD_LIBS_INIT}
  ${EXTRA_LIBS}
  ${CMAKE_DL_LIBS})

set_target_properties(
  XrdCl
  PROPERTIES
  VERSION   ${XRD_CL_VERSION}
  SOVERSION ${XRD_CL_SOVERSION} )

if( BUILD_XRDEC )
  target_include_directories(XrdCl PUBLIC ${ISAL_INCLUDE_DIRS})
  target_link_libraries(XrdCl PRIVATE ${ISAL_LIBRARIES})
endif()

#-------------------------------------------------------------------------------
# xrdfs
#-------------------------------------------------------------------------------
if( NOT XRDCL_LIB_ONLY )
add_executable(
  xrdfs
  XrdClFS.cc
  XrdClFSExecutor.cc         XrdClFSExecutor.hh )

target_link_libraries(
  xrdfs
  ${CMAKE_THREAD_LIBS_INIT}
  XrdCl
  XrdUtils
  ${READLINE_LIBRARY}
  ${NCURSES_LIBRARY} )

if( READLINE_FOUND )
  target_include_directories(xrdfs PRIVATE ${READLINE_INCLUDE_DIR})
endif()
endif()

#-------------------------------------------------------------------------------
# xrdcopy
#-------------------------------------------------------------------------------
if( NOT XRDCL_LIB_ONLY )
add_executable(
  xrdcp
  XrdClCopy.cc )

target_link_libraries(
  xrdcp
  XrdCl
  XrdUtils
  XrdAppUtils )
endif()

#-------------------------------------------------------------------------------
# Install
#-------------------------------------------------------------------------------
install(
  TARGETS XrdCl
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} )

if( NOT XRDCL_LIB_ONLY )
install(
  TARGETS xrdfs xrdcp
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} )
endif()

install(
  FILES
    XrdClAnyObject.hh
    XrdClBuffer.hh
    XrdClConstants.hh
    XrdClCopyProcess.hh
    XrdClDefaultEnv.hh
    XrdClEnv.hh
    XrdClFile.hh
    XrdClFileSystem.hh
    XrdClFileSystemUtils.hh
    XrdClMonitor.hh
    XrdClStatus.hh
    XrdClURL.hh
    XrdClXRootDResponses.hh
    XrdClOptional.hh
    XrdClPlugInInterface.hh
    XrdClPlugInManager.hh
    XrdClPropertyList.hh
    XrdClLog.hh
  DESTINATION    ${CMAKE_INSTALL_INCLUDEDIR}/xrootd/XrdCl )
  
install(
  FILES
    # Additional client headers
    XrdClMessage.hh
    XrdClPostMaster.hh
    XrdClPostMasterInterfaces.hh
    XrdClTransportManager.hh
    XrdClResponseJob.hh
    XrdClZipArchive.hh
    XrdClZipCache.hh
    # Declarative operations
    XrdClOperations.hh
    XrdClOperationHandlers.hh
    XrdClOperationTimeout.hh
    XrdClArg.hh
    XrdClCtx.hh
    XrdClFwd.hh
    XrdClParallelOperation.hh
    XrdClFileOperations.hh
    XrdClFileSystemOperations.hh
    XrdClFinalOperation.hh
    XrdClZipOperations.hh 
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/xrootd/private/XrdCl )

if( NOT XRDCL_LIB_ONLY )
install(
  FILES
  ${PROJECT_SOURCE_DIR}/docs/man/xrdfs.1
  ${PROJECT_SOURCE_DIR}/docs/man/xrdcp.1
  ${PROJECT_SOURCE_DIR}/docs/man/xrdmapc.1
  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 )

install(
  CODE "
    EXECUTE_PROCESS(
      COMMAND ln -sf xrdcp xrdcopy
      WORKING_DIRECTORY \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR} )"
)

install(
  CODE "
    EXECUTE_PROCESS(
      COMMAND ln -sf xrdcp.1 xrdcopy.1
      WORKING_DIRECTORY \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_MANDIR}/man1 )"
)

install(
  CODE "
    FOREACH(MANPAGE xrdfs.1 xrdcp.1 xrdmapc.1)
      MESSAGE( \"-- Processing: \" \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_MANDIR}/man1/\${MANPAGE} )
      EXECUTE_PROCESS(
        COMMAND cat \${MANPAGE}
        COMMAND sed  -e \"s/__VERSION__/${XRootD_VERSION}/\"
        OUTPUT_FILE \${MANPAGE}.new
        WORKING_DIRECTORY \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_MANDIR}/man1 )
      EXECUTE_PROCESS(
        COMMAND mv -f \${MANPAGE}.new \${MANPAGE}
        WORKING_DIRECTORY \$ENV{DESTDIR}/${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_MANDIR}/man1 )
    ENDFOREACH()"
)

endif()

=== tests/XrdCl/CMakeLists.txt ===

add_executable(xrdcl-unit-tests
  XrdClURL.cc
)

target_link_libraries(xrdcl-unit-tests
  XrdCl
  XrdXml
  XrdUtils
  GTest::GTest
  GTest::Main
)

target_include_directories(xrdcl-unit-tests
  PRIVATE ${CMAKE_SOURCE_DIR}/src
)

gtest_discover_tests(xrdcl-unit-tests TEST_PREFIX XrdCl::)

=== debian/changelog ===
xrootd (5.6.1-1) unstable; urgency=medium

  * Update to version 5.6.1
  * Add --use-pep517 --no-build-isolation to pip options

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 12 Jul 2023 17:39:02 +0200

xrootd (5.6.0-1) unstable; urgency=medium

  * Update to version 5.6.0
  * Drop patches (changes implemented upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 03 Jul 2023 13:22:50 +0200

xrootd (5.5.5-1) unstable; urgency=medium

  * Update to version 5.5.5

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 19 Jun 2023 11:20:36 +0200

=== debian/control ===
Source: xrootd
Section: net
Priority: optional
Standards-Version: 4.6.2
Build-Depends:
 debhelper (>= 13),
 dh-python,
 cmake,
 pkg-config,
 libfuse-dev [linux-any kfreebsd-any],
 libkrb5-dev,
 libcurl4-openssl-dev,
 libtinyxml-dev,
 libxml2-dev,
 ncurses-dev,
 libssl-dev,
 libreadline-dev,
 zlib1g-dev,
 libsystemd-dev [linux-any],
 python3-dev,
 python3-pip,
 python3-wheel,
 libjson-c-dev,
 libmacaroons-dev,
 uuid-dev,
 voms-dev,
 libscitokens-dev,
 davix-dev,
 librados-dev [i386 amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
 libradospp-dev [i386 amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
 libradosstriper-dev [i386 amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x]
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
 doxygen,
 graphviz,
 python3-sphinx
Homepage: http://xrootd.org/
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Vcs-Browser: https://salsa.debian.org/ellert/xrootd
Vcs-Git: https://salsa.debian.org/ellert/xrootd.git

Package: xrootd-server
Architecture: any
Multi-Arch: foreign
Section: net
Depends:
 xrootd-plugins (= ${binary:Version}),
 xrootd-server-plugins (= ${binary:Version}),
 expect,
 logrotate,
 adduser,
 ${perl:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: Extended ROOT file server
 The Extended root file server consists of a file server called xrootd
 and a cluster management server called cmsd.
 .
 The xrootd server was developed for the root analysis framework to
 serve root files. However, the server is agnostic to file types and
 provides POSIX-like access to any type of file.
 .
 The cmsd server is the next generation version of the olbd server,
 originally developed to cluster and load balance Objectivity/DB AMS
 database servers. It provides enhanced capability along with lower
 latency and increased throughput.

Package: libxrdapputils2
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Utilities library for xrootd applications
 This package contains the xrootd utilities library for applications.

Package: libxrdcrypto2
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Cryptograpic library for xrootd
 This package contains the xrootd cryptograpic library.

Package: libxrdcryptolite2
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Light version of cryptograpic library for xrootd
 This package contains the light version of the xrootd cryptograpic library.

Package: libxrdutils3
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Utilities library for xrootd
 This package contains the xrootd utilities library.

Package: libxrdxml3
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: XML library for xrootd
 This package contains the xrootd XML library.

Package: xrootd-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Plugins used by xrootd servers and clients
 This package contains plugins used by the xrootd servers and clients.

Package: libxrootd-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libxrdapputils2 (= ${binary:Version}),
 libxrdcrypto2 (= ${binary:Version}),
 libxrdcryptolite2 (= ${binary:Version}),
 libxrdutils3 (= ${binary:Version}),
 libxrdxml3 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for xrootd
 This package contains header files and development libraries for xrootd
 development.

Package: libxrdcl3
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 xrootd-plugins (= ${binary:Version}),
 xrootd-client-plugins(= ${binary:Version})
Description: Client library for xrootd
 This package contains the xrootd client library.

Package: libxrdffs3
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: File protocol library for xrootd
 This package contains the xrootd file protocol library.

Package: libxrdposix3
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Posix interface library for xrootd
 This package contains the xrootd Posix interface library.

Package: libxrdssilib2
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Server internals library for xrootd
 This package contains an xrootd server internals library.

Package: libxrdssishmap2
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Server internals library for xrootd
 This package contains an xrootd server internals library.

Package: xrootd-client-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Plugins used by xrootd clients
 This package contains plugins used by xrootd clients.

Package: xrootd-client-http-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: HTTP client plugin for XRootD client
 This package contains an XRootD client plugin which allows XRootD to
 interact with HTTP repositories.

Package: libxrootd-client-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libxrdcl3 (= ${binary:Version}),
 libxrdffs3 (= ${binary:Version}),
 libxrdposix3 (= ${binary:Version}),
 libxrootd-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for xrootd clients
 This package contains header files and development libraries for xrootd
 client development.

Package: libxrdhttputils2
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: HTTP protocol utilities library for xrootd
 This package contains the xrootd HTTP protocol utilities library.

Package: libxrdserver3
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 xrootd-plugins (= ${binary:Version}),
 xrootd-server-plugins(= ${binary:Version})
Description: Server library for xrootd
 This package contains the xrootd server library.

Package: xrootd-server-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Plugins used by xrootd servers
 This package contains plugins used by xrootd servers.

Package: libxrootd-server-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libxrdhttputils2 (= ${binary:Version}),
 libxrdserver3 (= ${binary:Version}),
 libxrootd-dev (= ${binary:Version}),
 libxrootd-client-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Development files for xrootd servers
 This package contains header files and development libraries for xrootd
 server development.

Package: libxrootd-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libxrdssilib2 (= ${binary:Version}),
 libxrdssishmap2 (= ${binary:Version}),
 libxrootd-dev (= ${binary:Version}),
 libxrootd-client-dev (= ${binary:Version}),
 libxrootd-server-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Private xrootd headers
 This package contains some private xrootd headers. Backward and forward
 compatibility between versions is not guaranteed for these headers.

Package: xrootd-client
Architecture: any
Multi-Arch: foreign
Section: net
Depends:
 xrootd-plugins (= ${binary:Version}),
 xrootd-client-plugins(= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Xrootd command line client tools
 This package contains the command line tools used to communicate with
 xrootd servers.

Package: xrootd-fuse
Architecture: linux-any kfreebsd-any
Multi-Arch: foreign
Section: net
Depends:
 xrootd-plugins (= ${binary:Version}),
 xrootd-client-plugins (= ${binary:Version}),
 fuse,
 ${shlibs:Depends},
 ${misc:Depends}
Description: Xrootd FUSE tool
 This package contains the FUSE (file system in user space) xrootd mount
 tool.

Package: xrootd-voms-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: VOMS attribute extractor plugin for XRootD
 This package contains the xrootd VOMS attribute extractor plugin.

Package: xrootd-scitokens-plugins
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: SciTokens authorization support for XRootD
 This ACC (authorization) plugin for the XRootD framework utilizes the
 SciTokens library to validate and extract authorization claims from a
 SciToken passed during a transfer. Configured appropriately, this
 allows the XRootD server admin to delegate authorization decisions for
 a subset of the namespace to an external issuer.

Package: libxrdcephposix0
Architecture: i386 amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Ceph posix library for xrootd
 This package contains an xrootd library used by the ceph plugins.

Package: xrootd-ceph-plugins
Architecture: i386 amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x
Multi-Arch: same
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: XRootD plugin for interfacing with the Ceph storage platform
 The xrootd-ceph is an OSS layer plugin for the XRootD server for
 interfacing with the Ceph storage platform.

Package: python3-xrootd
Architecture: any
Multi-Arch: foreign
Section: python
Provides:
 ${python3:Provides}
Depends:
 xrootd-plugins (= ${binary:Version}),
 xrootd-client-plugins (= ${binary:Version}),
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: Python 3 bindings for xrootd
 This package contains Python 3 bindings for xrootd.

Package: xrootd-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends}
Built-Using:
 ${sphinxdoc:Built-Using}
Description: Developer documentation for the xrootd libraries
 This package contains the API documentation of the xrootd libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable ceph dependent packages for architectures without ceph
# This list should match the Build-Depends on ceph libraries in debian/control
#
# Ceph requires boost-context and boost-coroutine
# These are only available on these Debian architectures:
#   i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 armel armhf arm64
#   mips mipsel mips64el powerpc ppc64el riscv64 s390x
#
# Ceph requires Java
# Java is not available on these Debian architectures:
#   hppa hurd-i386 kfreebsd-i386 kfreebsd-amd64
ifneq ($(filter $(DEB_HOST_ARCH),i386 amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x),)
CEPH = ON
else
CEPH = OFF
endif

BUILD_DOC = $(if $(filter xrootd-doc,$(shell dh_listpackages)),TRUE,FALSE)

%:
	dh $@ --with python3 --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DXRDCEPH_SUBMODULE:BOOL=$(CEPH) \
	    -DPIP_OPTIONS="--no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --verbose"

override_dh_auto_build:
	dh_auto_build
	[ "$(BUILD_DOC)" = "FALSE" ] || doxygen Doxyfile

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doxydoc
	rm -rf bindings/python/docs/build

override_dh_auto_install:
	DEB_PYTHON_INSTALL_LAYOUT=deb dh_auto_install

	rm -f debian/tmp/usr/lib/*/libXrdCephPosix.so

	rm -f debian/tmp/usr/lib/python3/dist-packages/xrootd-*.*-info/direct_url.json
	rm -f debian/tmp/usr/lib/python3/dist-packages/xrootd-*.*-info/RECORD
	[ -r debian/tmp/usr/lib/python3/dist-packages/xrootd-*.*-info/INSTALLER ] && \
	    sed s/pip/dpkg/ \
	    -i debian/tmp/usr/lib/python3/dist-packages/xrootd-*.*-info/INSTALLER

	[ "$(BUILD_DOC)" = "FALSE" ] || ( \
	LD_LIBRARY_PATH=$${LD_LIBRARY_PATH}:$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) \
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
	PYTHONDONTWRITEBYTECODE=1 \
	make -C bindings/python/docs html && \
	mv bindings/python/docs/build/html bindings/python/docs/build/python )

	# Service unit files
	mkdir -p debian/tmp/lib/systemd/system
	install -m 644 packaging/common/xrootd@.service debian/tmp/lib/systemd/system
	install -m 644 packaging/common/xrootd@.socket debian/tmp/lib/systemd/system
	install -m 644 packaging/common/xrdhttp@.socket debian/tmp/lib/systemd/system
	install -m 644 packaging/common/cmsd@.service debian/tmp/lib/systemd/system
	install -m 644 packaging/common/frm_xfrd@.service debian/tmp/lib/systemd/system
	install -m 644 packaging/common/frm_purged@.service debian/tmp/lib/systemd/system
	mkdir -p debian/tmp/usr/lib/tmpfiles.d
	install -m 644 packaging/rhel/xrootd.tmpfiles debian/tmp/usr/lib/tmpfiles.d/xrootd.conf

	# Server config
	mkdir -p debian/tmp/etc/xrootd
	install -m 644 -p packaging/common/xrootd-clustered.cfg \
	    debian/tmp/etc/xrootd/xrootd-clustered.cfg
	install -m 644 -p packaging/common/xrootd-standalone.cfg \
	    debian/tmp/etc/xrootd/xrootd-standalone.cfg
	install -m 644 -p packaging/common/xrootd-filecache-clustered.cfg \
	    debian/tmp/etc/xrootd/xrootd-filecache-clustered.cfg
	install -m 644 -p packaging/common/xrootd-filecache-standalone.cfg \
	    debian/tmp/etc/xrootd/xrootd-filecache-standalone.cfg
	sed 's!/usr/lib64/!!' packaging/common/xrootd-http.cfg > \
	    debian/tmp/etc/xrootd/xrootd-http.cfg

	# Client config
	mkdir -p debian/tmp/etc/xrootd/client.plugins.d
	install -m 644 -p packaging/common/client.conf \
	    debian/tmp/etc/xrootd/client.conf
	sed 's!/usr/lib/!!' packaging/common/client-plugin.conf.example > \
	    debian/tmp/etc/xrootd/client.plugins.d/client-plugin.conf.example
	sed -e 's!/usr/lib64/!!' -e 's!-5!!' packaging/common/recorder.conf > \
	    debian/tmp/etc/xrootd/client.plugins.d/recorder.conf
	sed 's!/usr/lib64/!!' packaging/common/http.client.conf.example > \
	    debian/tmp/etc/xrootd/client.plugins.d/xrdcl-http-plugin.conf

	chmod 644 debian/tmp/usr/share/xrootd/utils/XrdCmsNotify.pm
	sed 's!/usr/bin/env perl!/usr/bin/perl!' -i \
	    debian/tmp/usr/share/xrootd/utils/netchk \
	    debian/tmp/usr/share/xrootd/utils/XrdCmsNotify.pm \
	    debian/tmp/usr/share/xrootd/utils/XrdOlbMonPerf

	sed 's!/usr/bin/env bash!/bin/bash!' -i \
	    debian/tmp/usr/bin/xrootd-config

	mkdir -p debian/tmp/etc/xrootd/config.d

	mkdir -p debian/tmp/var/log/xrootd
	mkdir -p debian/tmp/var/spool/xrootd

	mkdir -p debian/tmp/etc/logrotate.d
	install -m 644 -p packaging/common/xrootd.logrotate \
	    debian/tmp/etc/logrotate.d/xrootd

## xrootd 5.6.7

=== debian/changelog ===
xrootd (5.6.7-1) unstable; urgency=medium

  * Update to version 5.6.7

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 08 Feb 2024 15:47:53 +0100

xrootd (5.6.6-1) unstable; urgency=medium

  * Update to version 5.6.6

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 26 Jan 2024 10:15:04 +0100

xrootd (5.6.5-1) unstable; urgency=medium

  * Update to version 5.6.5
  * Drop patches accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 22 Jan 2024 21:54:54 +0100

xrootd (5.6.4-1) unstable; urgency=medium

  * Update to version 5.6.4
  * Drop patches accepted upstream or previously backported
  * Fix missing include for GNU/Hurd

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 13 Dec 2023 12:41:01 +0100

xrootd (5.6.3-8) unstable; urgency=medium

  * Fail gracefully in case of unsupported extended file attributes
  * Avoid null bytes in error message strings
  * Fix include path in XRootDConfig.cmake
  * Avoid dereferencing unaligned pointers
  * Support big endian in XrdZip

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 05 Dec 2023 09:08:39 +0100

xrootd (5.6.3-7) unstable; urgency=medium

  * Disable XrdEc tests if file system does not support extended attributes

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 22 Nov 2023 12:46:27 +0100

xrootd (5.6.3-6) unstable; urgency=medium

  * Avoid /tmp when running some tests

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 22 Nov 2023 09:10:51 +0100

xrootd (5.6.3-5) unstable; urgency=medium

  * Enable erasure code support (XrdEc)
  * New binary package libxrdec1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 19 Nov 2023 22:10:50 +0100

xrootd (5.6.3-4) unstable; urgency=medium

  * Move installed CMake files to LIBDIR since they are now arch dependent
  * Update patch for TCP_CORK on GNU/Hurd to the version accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 01 Nov 2023 03:59:33 +0100

xrootd (5.6.3-3) unstable; urgency=medium

  * Fix test issues (Closes: #1054994)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 29 Oct 2023 09:17:42 +0100

xrootd (5.6.3-2) unstable; urgency=medium

  * Explicitly disable ceph support on hurd os

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 28 Oct 2023 11:15:45 +0200

xrootd (5.6.3-1) unstable; urgency=medium

  * Update to version 5.6.3
  * Drop patches accepted upstream or previously backported
  * Enable tests

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 27 Oct 2023 16:04:42 +0200

xrootd (5.6.2-3) unstable; urgency=medium

  * Drop ceph support for 32 bit architectures (Closes: #1053200)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 01 Oct 2023 05:39:19 +0200

xrootd (5.6.2-2) unstable; urgency=medium

  * Backport fix for Authfile parsing regression

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 18 Sep 2023 15:39:24 +0200

xrootd (5.6.2-1) unstable; urgency=medium

  * Update to version 5.6.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 16 Sep 2023 05:05:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Standards-Version: 4.6.2
 Build-Depends:
- debhelper (>= 13),
+ debhelper-compat (= 13),
  dh-python,
  cmake,
  pkg-config,
@@ -17,8 +17,10 @@
  libreadline-dev,
  zlib1g-dev,
  libsystemd-dev [linux-any],
+ pybuild-plugin-pyproject,
  python3-dev,
  python3-pip,
+ python3-setuptools,
  python3-wheel,
  libjson-c-dev,
  libmacaroons-dev,
@@ -26,15 +28,21 @@
  voms-dev,
  libscitokens-dev,
  davix-dev,
- librados-dev [i386 amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
- libradospp-dev [i386 amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x],
- libradosstriper-dev [i386 amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x]
+ librados-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
+ libradospp-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
+ libradosstriper-dev [amd64 arm64 mips64el ppc64el riscv64 s390x],
+ libisal-dev [!i386 !hppa !hurd-i386 !powerpc !x32],
+ attr,
+ libcppunit-dev,
+ libgtest-dev,
+ openssl,
+ uuid-runtime
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
  doxygen,
  graphviz,
  python3-sphinx
-Homepage: http://xrootd.org/
+Homepage: https://xrootd.slac.stanford.edu/
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Vcs-Browser: https://salsa.debian.org/ellert/xrootd
 Vcs-Git: https://salsa.debian.org/ellert/xrootd.git
@@ -42,7 +50,6 @@
 Package: xrootd-server
 Architecture: any
 Multi-Arch: foreign
-Section: net
 Depends:
  xrootd-plugins (= ${binary:Version}),
  xrootd-server-plugins (= ${binary:Version}),
@@ -102,6 +109,12 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
+Replaces:
+ libxrdcephposix0 [i386 armel armhf mips mipsel powerpc],
+ xrootd-ceph-plugins [i386 armel armhf mips mipsel powerpc]
+Breaks:
+ libxrdcephposix0 [i386 armel armhf mips mipsel powerpc],
+ xrootd-ceph-plugins [i386 armel armhf mips mipsel powerpc]
 Description: Utilities library for xrootd
  This package contains the xrootd utilities library.
 
@@ -153,6 +166,16 @@
 Description: Client library for xrootd
  This package contains the xrootd client library.
 
+Package: libxrdec1
+Architecture: any
+Multi-Arch: same
+Section: libs
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
+Description: Erasure code library for xrootd
+ This package contains the xrootd erasure code library.
+
 Package: libxrdffs3
 Architecture: any
 Multi-Arch: same
@@ -280,6 +303,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
+ libxrdec1 (= ${binary:Version}) [!i386 !hppa !hurd-i386 !powerpc !x32],
  libxrdssilib2 (= ${binary:Version}),
  libxrdssishmap2 (= ${binary:Version}),
  libxrootd-dev (= ${binary:Version}),
@@ -293,7 +317,6 @@
 Package: xrootd-client
 Architecture: any
 Multi-Arch: foreign
-Section: net
 Depends:
  xrootd-plugins (= ${binary:Version}),
  xrootd-client-plugins(= ${binary:Version}),
@@ -306,7 +329,6 @@
 Package: xrootd-fuse
 Architecture: linux-any kfreebsd-any
 Multi-Arch: foreign
-Section: net
 Depends:
  xrootd-plugins (= ${binary:Version}),
  xrootd-client-plugins (= ${binary:Version}),
@@ -342,7 +364,7 @@
  a subset of the namespace to an external issuer.
 
 Package: libxrdcephposix0
-Architecture: i386 amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x
+Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x
 Multi-Arch: same
 Section: libs
 Depends:
@@ -352,7 +374,7 @@
  This package contains an xrootd library used by the ceph plugins.
 
 Package: xrootd-ceph-plugins
-Architecture: i386 amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x
+Architecture: amd64 arm64 mips64el ppc64el riscv64 s390x
 Multi-Arch: same
 Section: libs
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -12,35 +12,87 @@
 # Ceph requires Java
 # Java is not available on these Debian architectures:
 #   hppa hurd-i386 kfreebsd-i386 kfreebsd-amd64
-ifneq ($(filter $(DEB_HOST_ARCH),i386 amd64 armel armhf arm64 mips mipsel mips64el powerpc ppc64el riscv64 s390x),)
+#
+# Ceph only supports 64 bit architectures
+ifneq ($(filter $(DEB_HOST_ARCH),amd64 arm64 mips64el ppc64el riscv64 s390x),)
 CEPH = ON
 else
 CEPH = OFF
 endif
 
+ifneq ($(filter $(DEB_HOST_ARCH_OS),linux kfreebsd),)
+FUSE = ON
+else
+FUSE = OFF
+endif
+
+ifneq ($(filter $(DEB_HOST_ARCH),i386 hppa hurd-i386 powerpc x32),)
+EC = OFF
+N = -Nlibxrdec1
+else
+EC = ON
+N =
+endif
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+
 BUILD_DOC = $(if $(filter xrootd-doc,$(shell dh_listpackages)),TRUE,FALSE)
 
 %:
-	dh $@ --with python3 --buildsystem cmake
+	dh $@ --with python3 --buildsystem cmake $(N)
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+	    -DFORCE_ENABLED:BOOL=ON \
+	    -DENABLE_TESTS:BOOL=ON \
+	    -DENABLE_FUSE:BOOL=$(FUSE) \
 	    -DXRDCEPH_SUBMODULE:BOOL=$(CEPH) \
+	    -DENABLE_XRDEC:BOOL=$(EC) \
+	    -DUSE_SYSTEM_ISAL:BOOL=ON \
 	    -DPIP_OPTIONS="--no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --verbose"
 
 override_dh_auto_build:
 	dh_auto_build
 	[ "$(BUILD_DOC)" = "FALSE" ] || doxygen Doxyfile
 
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf doxydoc
-	rm -rf bindings/python/docs/build
+override_dh_auto_test:
+	touch testfile
+	if ( setfattr -n user.testattr -v testvalue testfile ) ; then \
+	    dh_auto_test ; \
+	else \
+	    echo "Extended file attributes not supported by file system" ; \
+	    echo "Don't run tests that require them" ; \
+	    dh_auto_test -- ARGS+="-E '\
+XrdCl::FileCopyTest|\
+XrdCl::FileSystemTest.PlugInTest|\
+XrdCl::FileSystemTest.ServerQueryTest|\
+XrdCl::FileSystemTest.XAttrTest|\
+XrdCl::FileTest.XAttrTest|\
+XrdCl::LocalFileHandlerTest.XAttrTest|\
+XrdCl::ThreadingTest|\
+XrdCl::WorkflowTest.CheckpointTest|\
+XrdCl::WorkflowTest.XAttrWorkflowTest|\
+XrdCl::XrdEcTests|\
+XrdEc::|\
+XRootD::smoke-test-cluster'" ; \
+	fi
+	rm testfile
 
 override_dh_auto_install:
+	ln -sf libxrootd-private-dev.install.ec-$(EC) \
+	   debian/libxrootd-private-dev.install
+
 	DEB_PYTHON_INSTALL_LAYOUT=deb dh_auto_install
 
 	rm -f debian/tmp/usr/lib/*/libXrdCephPosix.so
+
+	rm -f debian/tmp/usr/bin/test-runner
+	rm -f debian/tmp/usr/bin/xrdshmap
+	rm -f debian/tmp/usr/lib/*/libXrdCephTests.so
+	rm -f debian/tmp/usr/lib/*/libXrdClTestMonitor-5.so
+	rm -f debian/tmp/usr/lib/*/libXrdClTests.so
+	rm -f debian/tmp/usr/lib/*/libXrdClTestsHelper.so
+	rm -f debian/tmp/usr/lib/*/libXrdEcTests.so
 
 	rm -f debian/tmp/usr/lib/python3/dist-packages/xrootd-*.*-info/direct_url.json
 	rm -f debian/tmp/usr/lib/python3/dist-packages/xrootd-*.*-info/RECORD
